export const colorLegend = (selection, props) => {
  
  const { 
    colorScale1, 
    circleRadius,
    onClick1,
    selectedCate1
  } = props;
  
  const groups = selection.selectAll('.colorlegend')
    .data(colorScale1.domain());
  
  const groupsEnter = groups
    .enter().append('g')
      .attr('class', 'colorlegend');
  
  groupsEnter
    .merge(groups)
      .attr('transform', (d, i) =>
        `translate(0, ${i * 38})`
      )
      .on('click', d => onClick1(
        d === selectedCate1
        ? null
        : d
      ))
      .attr('opacity', d =>
        (!selectedCate1 || d === selectedCate1)
        ? 1
        : 0.2
      );
  
  groups.exit().remove();
  
  /*
  groupsEnter.append('circle')
    .merge(groups.select('circle'))
      .attr('r', circleRadius)
      .attr('fill', colorScale1)
      .attr('stroke', '#6d6863');
  */
  
  groupsEnter.append('text')
    .merge(groups.select('text'))
      .text(d => d)
      .attr('dy', '0.32em')
      .attr('x', circleRadius * 1.5)
      .attr('font-size', '1.3rem')
      .attr('font-weight', 'bold')
      .attr('fill', colorScale1);
}