export const stemLegend = (selection, props) => {
  
  const { 
    colorScale2, 
    circleRadius,
    onClick2,
    selectedCate2
  } = props;
  
  const groups = selection.selectAll('.stemlegend')
    .data(colorScale2.domain());
  
  const groupsEnter = groups
    .enter().append('g')
      .attr('class', 'stemlegend');
  
  groupsEnter
    .merge(groups)
      .attr('transform', (d, i) =>
        `translate(0, ${i * 30})`
      )
      
      .on('click', d => onClick2(
        d === selectedCate2
        ? null
        : d
      ))
      
      .attr('opacity', d =>
        (!selectedCate2 || d === selectedCate2)
        ? 1
        : 0.2
      );
  
  groups.exit().remove();
  
  groupsEnter.append('text')
    .merge(groups.select('text'))
      .text(d => d)
      .attr('dy', '0.5em')
      .attr('x', circleRadius * 1.5)
      .attr('font-size', '1rem')
      .attr('font-weight', 'bold')
      .attr('fill', '#26c3db');
}