export const table = (selection, props) => {
  
 		const {
      data, 
      columns
    } = props;

    const tableEnter = selection.append('table');

    // Append table head in new table(s)
    var thead = tableEnter.append('thead')
      .append('tr')
        .selectAll('th')
        .data(columns);
  	thead
      .enter().append('th')
        .text(d => d);

    // Append table body in new table(s)
    var tbody = tableEnter.append('tbody');

    // create a row for each object in the data
		var rows = tbody.selectAll('tr').data(data);
  
  	var rowsEnter = rows
    	.enter()
      .append('tr');
  
  	rows.exit().remove();
  	
		// create a cell in each row for each column
		var cells = rowsEnter.selectAll('td')
		  .data(function (row) {
          //console.log(row);
          return columns.map(function (column) {
           //console.log(column);
		      	return {column: column, value: row[column]
          	}
          });
		  });
      //.text(d => console.log(d.value));
    
    cells.enter().append('td').text(d => d.value);
};

export const updateTable = (selection, props) => {
  	const { 
      data, 
      columns,
      selectedCate1
    } = props;
  	
		// var table = d3.select('#grid table');
		var	tbody = d3.select('#grid table').select('tbody');

		// create a row for each object in the data
		var rows = tbody.selectAll('tr').data(data);
  
  //https://stackoverflow.com/questions/32871044/how-to-update-d3-table
    rows.selectAll('td')
		  .data(function (row) {
		    return columns.map(function (column) {
		      return {column: column, value: row[column]};
		    });
		  })
    	.text(d => d.value);
  		
  	var rowsEnter = rows
    	.enter()
    		.append('tr')
  	// console.log(rows);
  	rows.exit().remove();
		// create a cell in each row for each column
		var cells = rowsEnter.selectAll('td')
		  .data(function (row) {
		    return columns.map(function (column) {
		      return {column: column, value: row[column]};
		    });
		  })
    	.enter()
    		.append('td')
    		.text(d => d.value);
	}
